<?php
$tdatastatistics_case = array();
$tdatastatistics_case[".searchableFields"] = array();
$tdatastatistics_case[".ShortName"] = "statistics_case";
$tdatastatistics_case[".OwnerID"] = "";
$tdatastatistics_case[".OriginalTable"] = "statistics_case";


$tdatastatistics_case[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatastatistics_case[".originalPagesByType"] = $tdatastatistics_case[".pagesByType"];
$tdatastatistics_case[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatastatistics_case[".originalPages"] = $tdatastatistics_case[".pages"];
$tdatastatistics_case[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatastatistics_case[".originalDefaultPages"] = $tdatastatistics_case[".defaultPages"];

//	field labels
$fieldLabelsstatistics_case = array();
$fieldToolTipsstatistics_case = array();
$pageTitlesstatistics_case = array();
$placeHoldersstatistics_case = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsstatistics_case["English"] = array();
	$fieldToolTipsstatistics_case["English"] = array();
	$placeHoldersstatistics_case["English"] = array();
	$pageTitlesstatistics_case["English"] = array();
	$fieldLabelsstatistics_case["English"]["region"] = "المنطقة";
	$fieldToolTipsstatistics_case["English"]["region"] = "";
	$placeHoldersstatistics_case["English"]["region"] = "";
	$fieldLabelsstatistics_case["English"]["numCase"] = "القلم";
	$fieldToolTipsstatistics_case["English"]["numCase"] = "";
	$placeHoldersstatistics_case["English"]["numCase"] = "";
	$fieldLabelsstatistics_case["English"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTipsstatistics_case["English"]["CountOfnumPers"] = "";
	$placeHoldersstatistics_case["English"]["CountOfnumPers"] = "";
	$fieldLabelsstatistics_case["English"]["total"] = "المجموع";
	$fieldToolTipsstatistics_case["English"]["total"] = "";
	$placeHoldersstatistics_case["English"]["total"] = "";
	$fieldLabelsstatistics_case["English"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics_case["English"]["percentage"] = "";
	$placeHoldersstatistics_case["English"]["percentage"] = "";
	$fieldLabelsstatistics_case["English"]["ma3"] = "مع";
	$fieldToolTipsstatistics_case["English"]["ma3"] = "";
	$placeHoldersstatistics_case["English"]["ma3"] = "";
	$fieldLabelsstatistics_case["English"]["dod"] = "ضد";
	$fieldToolTipsstatistics_case["English"]["dod"] = "";
	$placeHoldersstatistics_case["English"]["dod"] = "";
	$fieldLabelsstatistics_case["English"]["tachkil"] = "تشكيل";
	$fieldToolTipsstatistics_case["English"]["tachkil"] = "";
	$placeHoldersstatistics_case["English"]["tachkil"] = "";
	$fieldLabelsstatistics_case["English"]["majhoul"] = "مجهول";
	$fieldToolTipsstatistics_case["English"]["majhoul"] = "";
	$placeHoldersstatistics_case["English"]["majhoul"] = "";
	$pageTitlesstatistics_case["English"]["list"] = "جدول حسب القلم";
	$pageTitlesstatistics_case["English"]["print"] = "جدول حسب القلم";
	$pageTitlesstatistics_case["English"]["search"] = "جدول حسب القلم - Advanced search";
	if (count($fieldToolTipsstatistics_case["English"]))
		$tdatastatistics_case[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="Arabic")
{
	$fieldLabelsstatistics_case["Arabic"] = array();
	$fieldToolTipsstatistics_case["Arabic"] = array();
	$placeHoldersstatistics_case["Arabic"] = array();
	$pageTitlesstatistics_case["Arabic"] = array();
	$fieldLabelsstatistics_case["Arabic"]["region"] = "المنطقة";
	$fieldToolTipsstatistics_case["Arabic"]["region"] = "";
	$placeHoldersstatistics_case["Arabic"]["region"] = "";
	$fieldLabelsstatistics_case["Arabic"]["numCase"] = "القلم";
	$fieldToolTipsstatistics_case["Arabic"]["numCase"] = "";
	$placeHoldersstatistics_case["Arabic"]["numCase"] = "";
	$fieldLabelsstatistics_case["Arabic"]["CountOfnumPers"] = "المقترعين";
	$fieldToolTipsstatistics_case["Arabic"]["CountOfnumPers"] = "";
	$placeHoldersstatistics_case["Arabic"]["CountOfnumPers"] = "";
	$fieldLabelsstatistics_case["Arabic"]["total"] = "المجموع";
	$fieldToolTipsstatistics_case["Arabic"]["total"] = "";
	$placeHoldersstatistics_case["Arabic"]["total"] = "";
	$fieldLabelsstatistics_case["Arabic"]["percentage"] = "نسبة الإقتراع";
	$fieldToolTipsstatistics_case["Arabic"]["percentage"] = "";
	$placeHoldersstatistics_case["Arabic"]["percentage"] = "";
	$fieldLabelsstatistics_case["Arabic"]["ma3"] = "مع";
	$fieldToolTipsstatistics_case["Arabic"]["ma3"] = "";
	$placeHoldersstatistics_case["Arabic"]["ma3"] = "";
	$fieldLabelsstatistics_case["Arabic"]["dod"] = "ضد";
	$fieldToolTipsstatistics_case["Arabic"]["dod"] = "";
	$placeHoldersstatistics_case["Arabic"]["dod"] = "";
	$fieldLabelsstatistics_case["Arabic"]["tachkil"] = "تشكيل";
	$fieldToolTipsstatistics_case["Arabic"]["tachkil"] = "";
	$placeHoldersstatistics_case["Arabic"]["tachkil"] = "";
	$fieldLabelsstatistics_case["Arabic"]["majhoul"] = "مجهول";
	$fieldToolTipsstatistics_case["Arabic"]["majhoul"] = "";
	$placeHoldersstatistics_case["Arabic"]["majhoul"] = "";
	$pageTitlesstatistics_case["Arabic"]["list"] = "جدول حسب القلم";
	$pageTitlesstatistics_case["Arabic"]["print"] = "جدول حسب القلم";
	$pageTitlesstatistics_case["Arabic"]["search"] = "جدول حسب القلم - بحث متقدم";
	if (count($fieldToolTipsstatistics_case["Arabic"]))
		$tdatastatistics_case[".isUseToolTips"] = true;
}


	$tdatastatistics_case[".NCSearch"] = true;



$tdatastatistics_case[".shortTableName"] = "statistics_case";
$tdatastatistics_case[".nSecOptions"] = 0;

$tdatastatistics_case[".mainTableOwnerID"] = "";
$tdatastatistics_case[".entityType"] = 0;
$tdatastatistics_case[".connId"] = "electiondb_at_ssl_localhost";


$tdatastatistics_case[".strOriginalTableName"] = "statistics_case";

	



$tdatastatistics_case[".showAddInPopup"] = false;

$tdatastatistics_case[".showEditInPopup"] = false;

$tdatastatistics_case[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatastatistics_case[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatastatistics_case[".listAjax"] = false;
//	temporary
$tdatastatistics_case[".listAjax"] = false;

	$tdatastatistics_case[".audit"] = false;

	$tdatastatistics_case[".locking"] = false;


$pages = $tdatastatistics_case[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatastatistics_case[".edit"] = true;
	$tdatastatistics_case[".afterEditAction"] = 1;
	$tdatastatistics_case[".closePopupAfterEdit"] = 1;
	$tdatastatistics_case[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatastatistics_case[".add"] = true;
$tdatastatistics_case[".afterAddAction"] = 1;
$tdatastatistics_case[".closePopupAfterAdd"] = 1;
$tdatastatistics_case[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatastatistics_case[".list"] = true;
}



$tdatastatistics_case[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatastatistics_case[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatastatistics_case[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatastatistics_case[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatastatistics_case[".printFriendly"] = true;
}



$tdatastatistics_case[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatastatistics_case[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatastatistics_case[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatastatistics_case[".isUseAjaxSuggest"] = true;

$tdatastatistics_case[".rowHighlite"] = true;





$tdatastatistics_case[".ajaxCodeSnippetAdded"] = false;

$tdatastatistics_case[".buttonsAdded"] = false;

$tdatastatistics_case[".addPageEvents"] = false;

// use timepicker for search panel
$tdatastatistics_case[".isUseTimeForSearch"] = false;


$tdatastatistics_case[".badgeColor"] = "BC8F8F";


$tdatastatistics_case[".allSearchFields"] = array();
$tdatastatistics_case[".filterFields"] = array();
$tdatastatistics_case[".requiredSearchFields"] = array();




$tdatastatistics_case[".tableType"] = "list";

$tdatastatistics_case[".printerPageOrientation"] = 0;
$tdatastatistics_case[".nPrinterPageScale"] = 100;

$tdatastatistics_case[".nPrinterSplitRecords"] = 40;

$tdatastatistics_case[".geocodingEnabled"] = false;










$tdatastatistics_case[".pageSize"] = 20;

$tdatastatistics_case[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatastatistics_case[".strOrderBy"] = $tstrOrderBy;

$tdatastatistics_case[".orderindexes"] = array();


$tdatastatistics_case[".sqlHead"] = "SELECT region,  numCase,  CountOfnumPers,  total,  percentage,  ma3,  dod,  tachkil,  majhoul";
$tdatastatistics_case[".sqlFrom"] = "FROM statistics_case";
$tdatastatistics_case[".sqlWhereExpr"] = "";
$tdatastatistics_case[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatastatistics_case[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatastatistics_case[".arrGroupsPerPage"] = $arrGPP;

$tdatastatistics_case[".highlightSearchResults"] = true;

$tableKeysstatistics_case = array();
$tdatastatistics_case[".Keys"] = $tableKeysstatistics_case;


$tdatastatistics_case[".hideMobileList"] = array();




//	region
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "region";
	$fdata["GoodName"] = "region";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","region");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "region";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "region";

	
	
			
//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "region";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "name";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["region"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "region";
//	numCase
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "numCase";
	$fdata["GoodName"] = "numCase";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","numCase");
	$fdata["FieldType"] = 2;

	
	
	
			

		$fdata["strField"] = "numCase";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "numCase";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "electioncase";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "numCase";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "numCase";

	

	
	$edata["LookupOrderBy"] = "numCase";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["numCase"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "numCase";
//	CountOfnumPers
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "CountOfnumPers";
	$fdata["GoodName"] = "CountOfnumPers";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","CountOfnumPers");
	$fdata["FieldType"] = 20;

	
	
	
			

		$fdata["strField"] = "CountOfnumPers";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CountOfnumPers";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["CountOfnumPers"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "CountOfnumPers";
//	total
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "total";
	$fdata["GoodName"] = "total";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","total");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "total";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "total";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["total"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "total";
//	percentage
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "percentage";
	$fdata["GoodName"] = "percentage";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","percentage");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "percentage";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "percentage";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["percentage"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "percentage";
//	ma3
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "ma3";
	$fdata["GoodName"] = "ma3";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","ma3");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "ma3";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ma3";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["ma3"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "ma3";
//	dod
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "dod";
	$fdata["GoodName"] = "dod";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","dod");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "dod";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dod";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["dod"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "dod";
//	tachkil
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "tachkil";
	$fdata["GoodName"] = "tachkil";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","tachkil");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "tachkil";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tachkil";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["tachkil"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "tachkil";
//	majhoul
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "majhoul";
	$fdata["GoodName"] = "majhoul";
	$fdata["ownerTable"] = "statistics_case";
	$fdata["Label"] = GetFieldLabel("statistics_case","majhoul");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "majhoul";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "majhoul";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatastatistics_case["majhoul"] = $fdata;
		$tdatastatistics_case[".searchableFields"][] = "majhoul";


$tables_data["statistics_case"]=&$tdatastatistics_case;
$field_labels["statistics_case"] = &$fieldLabelsstatistics_case;
$fieldToolTips["statistics_case"] = &$fieldToolTipsstatistics_case;
$placeHolders["statistics_case"] = &$placeHoldersstatistics_case;
$page_titles["statistics_case"] = &$pageTitlesstatistics_case;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["statistics_case"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["statistics_case"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_statistics_case()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "region,  numCase,  CountOfnumPers,  total,  percentage,  ma3,  dod,  tachkil,  majhoul";
$proto0["m_strFrom"] = "FROM statistics_case";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "region",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto6["m_sql"] = "region";
$proto6["m_srcTableName"] = "statistics_case";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "numCase",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto8["m_sql"] = "numCase";
$proto8["m_srcTableName"] = "statistics_case";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "CountOfnumPers",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto10["m_sql"] = "CountOfnumPers";
$proto10["m_srcTableName"] = "statistics_case";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "total",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto12["m_sql"] = "total";
$proto12["m_srcTableName"] = "statistics_case";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "percentage",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto14["m_sql"] = "percentage";
$proto14["m_srcTableName"] = "statistics_case";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "ma3",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto16["m_sql"] = "ma3";
$proto16["m_srcTableName"] = "statistics_case";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "dod",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto18["m_sql"] = "dod";
$proto18["m_srcTableName"] = "statistics_case";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "tachkil",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto20["m_sql"] = "tachkil";
$proto20["m_srcTableName"] = "statistics_case";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "majhoul",
	"m_strTable" => "statistics_case",
	"m_srcTableName" => "statistics_case"
));

$proto22["m_sql"] = "majhoul";
$proto22["m_srcTableName"] = "statistics_case";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "statistics_case";
$proto25["m_srcTableName"] = "statistics_case";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "full_name";
$proto25["m_columns"][] = "region";
$proto25["m_columns"][] = "numCase";
$proto25["m_columns"][] = "CountOfnumPers";
$proto25["m_columns"][] = "total";
$proto25["m_columns"][] = "percentage";
$proto25["m_columns"][] = "ma3";
$proto25["m_columns"][] = "dod";
$proto25["m_columns"][] = "tachkil";
$proto25["m_columns"][] = "majhoul";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "statistics_case";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "statistics_case";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="statistics_case";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_statistics_case = createSqlQuery_statistics_case();


	
		;

									

$tdatastatistics_case[".sqlquery"] = $queryData_statistics_case;



$tableEvents["statistics_case"] = new eventsBase;
$tdatastatistics_case[".hasEvents"] = false;

?>